Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		libirman
#Epoch:		0
Version:	0.4.5
Release:	1
License:	GNU/GPLv2
URL:		http://sourceforge.net/projects/lirc/
Group:		Configuration/Hardware
Summary:	IRMAN infra red access library
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}-%{version}.tar.bz2

# Patches:

# Requires:

# BuildRequires:

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
libirman is a library that allows access to Irman Infra Red hardware from Linux and other Unix systems.

For general application programming, the preferred interface for infra-red control is `lirc', as lirc supports multiple programs sharing the same infra-red receiver. It does this by providing a socket based interface to which several programs can connect.

lirc uses libirman to interface with the Irman Infra Red hardware, so in single use applications directly using libirman is simpler and uses less system resources. Currently, lirc only works on Linux systems, so programs written using libirman directly are more portable.



%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre

%preun

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--sysconfdir=%{_sysconfdir} \
--disable-debug

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%{_sysconfdir}/irman.conf
%{_bindir}/workmanir
%{_libdir}/libirman.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/irman.h
%{_libdir}/libirman.a
%{_libdir}/libirman.la
%{_libdir}/libirman.so


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Sep 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.4.5-1
- initial CCux package release
